<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeDatabase..::.KeyRange Method (DatabaseEntry, Transaction)
BTreeDatabase Class See Also Send Feedback

Return an estimate of the proportion of keys that are less than, equal to, and greater than the specified key.

Namespace: BerkeleyDB
Assembly: libdb_dotnet50 (in libdb_dotnet50.dll) Version: 5.0.21.0

# Syntax

C#

    public KeyRange KeyRange(
    	DatabaseEntry key,
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Function KeyRange ( _
    	key As DatabaseEntry, _
    	txn As Transaction _
    ) As KeyRange

Visual C++

    public:
    KeyRange^ KeyRange(
    	DatabaseEntry^ key,
    	Transaction^ txn
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to search for

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

An estimate of the proportion of keys that are less than, equal to, and greater than the specified key.

# See Also

BTreeDatabase Class
KeyRange Overload
BerkeleyDB Namespace